-- ls19 ready
print("Mod loaded: Wulfsmoor by Nord West Gaming --  from Blacky_85 (Wulfsmoor2k19)");
Wulfsmoor = {} 
local Wulfsmoor_mt = Class(Wulfsmoor, Mission00)

function Wulfsmoor:new(baseDirectory, customMt, missionCollaborators)
    local mt = customMt
    if mt == nil then
        mt = Wulfsmoor_mt
    end
    local self = Wulfsmoor:superClass():new(baseDirectory, mt, missionCollaborators)

    -- Number of additional channels that are used compared to the original setting (2)
    local numAdditionalAngleChannels = 2 -- Winkel Ch. Boden

    self.terrainDetailAngleNumChannels = self.terrainDetailAngleNumChannels + numAdditionalAngleChannels;
    self.terrainDetailAngleMaxValue = (2^self.terrainDetailAngleNumChannels) - 1;

    self.sprayLevelFirstChannel = self.sprayLevelFirstChannel + numAdditionalAngleChannels;

    self.plowCounterFirstChannel = self.plowCounterFirstChannel + numAdditionalAngleChannels;
    self.limeCounterFirstChannel = self.limeCounterFirstChannel + numAdditionalAngleChannels;

    return self
end

TreePlantManager.canPlantTree = function(...) 
    return true;
end;

-- Enhanced placeable mod ls17 to ls19 by s4t4n
-- Wulfsmoor
-- $dataS/scripts/missions/mission00.lua
-- Mission00
-- Wulfsmoor.lua

-- function Wulfsmoor:onStartMission()
  -- Wulfsmoor:superClass().onStartMission(self);
  -- if g_currentMission:getIsServer() and not g_currentMission.missionInfo.isValid then		
	-- g_currentMission.missionStats.money = 0;		
	-- if self.missionInfo.difficulty == 1 then
	  -- self:addSharedMoney(400000);
	  -- g_currentMission.missionStats.loan = 1000;        
	 -- elseif self.missionInfo.difficulty == 2 then
	  -- self:addSharedMoney(300000);
	  -- g_currentMission.missionStats.loan = 3000;        
	 -- elseif self.missionInfo.difficulty == 3 then
	  -- self:addSharedMoney(200000); 
	  -- g_currentMission.missionStats.loan = 9000; 
    -- end;
  -- end;
-- end;

-- function Wulfsmoor:draw()
    -- Wulfsmoor:superClass().draw(self);		
	-- if self.WulfsmoorFirstStart == nil then
		-- self.WulfsmoorFirstStart = true;
		
		-- -- StoreItemsUtil.removeStoreItem(StoreItemsUtil.storeItemsByXMLFilename[string.lower("data/vehicles/trailers/joskin/joskinBetimaxRDS7500.xml")].id)
	-- end;
-- end
